/**
 * @license
 * Visual Blocks Language
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview Generating Python for colour blocks.
 * @author fraser@google.com (Neil Fraser)
 */
'use strict';

goog.provide('Blockly.Python.Thread');

goog.require('Blockly.Python');


Blockly.Python['Thread_import'] = function(block) {
  var code = 'import threading\n'
  return code
};


Blockly.Python['Thread_start_output'] = function(block) {
  var input = Blockly.Python.valueToCode(block,"INPUT", Blockly.Python.ORDER_ATOMIC)|| "__";
  var code =  input + ".start()"
  return [code , Blockly.Python.ORDER_ATOMIC];
};

Blockly.Python['Thread_start_preNext'] = function(block) {
  var input = Blockly.Python.valueToCode(block,"INPUT", Blockly.Python.ORDER_ATOMIC) || "__";
  var code =   input + ".start()\n"
  return code
};

Blockly.Python['Thread_set_target'] = function(block) {
  var target = Blockly.Python.valueToCode(block,"TARGET", Blockly.Python.ORDER_ATOMIC) || "__";
  var code = "threading.Thread(target="+target+")"
  return [code , Blockly.Python.ORDER_ATOMIC];
}


